// Displays a timezone selector in DayBack's Settings sidebar
// and changes timezone when you select a resource folder
// with the abbreviation of an American state

// Action Type: Custom App Action - After Filter Selection
// Prevent Default Action: No

// More info on custom app actions here:
// https://docs.dayback.com/article/140-custom-app-actions

var stateTimezones = {
  "AL":"America/New_York",
  "AK":"America/Anchorage",
  "AZ":"America/Phoenix",
  "AR":"America/Chicago",
  "CA":"America/Los_Angeles",
  "CO":"America/Denver",
  "CT":"America/New_York",
  "DE":"America/New_York",
  "FL":"America/New_York",
  "GA":"America/New_York",
  "HI":"Pacific/Honolulu",
  "ID":"America/Denver",
  "IL":"America/Chicago",
  "IA":"America/Chicago",
  "IN":"America/New_York",
  "KS":"America/Chicago",
  "KY":"America/New_York",
  "LA":"America/Chicago",
  "MA":"America/New_York",
  "MD":"America/New_York",
  "ME":"America/New_York",
  "MI":"America/New_York",
  "MN":"America/Chicago",
  "MO":"America/Chicago",
  "MS":"America/Chicago",
  "MT":"America/Denver",
  "NC":"America/New_York",
  "ND":"America/Chicago",
  "NE":"America/Chicago",
  "NH":"America/New_York",
  "NJ":"America/New_York",
  "NM":"America/Denver",
  "NV":"America/Los_Angeles",
  "NY":"America/New_York",
  "OH":"America/New_York",
  "OK":"America/Chicago",
  "OR":"America/Los_Angeles",
  "PA":"America/New_York",
  "RI":"America/New_York",
  "SC":"America/New_York",
  "SD":"America/Chicago",
  "TN":"America/Chicago",
  "TX":"America/Chicago",
  "UT":"America/Denver",
  "VT":"America/New_York",
  "VA":"America/New_York",
  "WA":"America/Los_Angeles",
  "WV":"America/New_York",
  "WI":"America/Chicago",
  "WY":"America/Denver"
};


var item = params.data.item;
var folderName = item.folderName;
var status = item.status.selected;
var resources = seedcodeCalendar.get('resources');

if(status){
  var config = seedcodeCalendar.get('config');
  //selection on, deselect anything not in this folder
  for ( var i = 0 ; i < resources.length ; i++) {
    if( resources[i].folderName!==folderName && resources[i].status && resources[i].status.selected){
      resources[i].status.selected = false;
    }
  }
  var timeZone = stateTimezones[folderName];
  config.clientTimezone = timeZone;
  seedcodeCalendar.init('initCalendar');
}

